Bug 33778 - Envelope Printing Does Not Work
Summary: Envelope Printing Does Not Work
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium major
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
: 40189 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-01-31 11:40 UTC by Alan C Whiteman
Modified: 2014-09-30 18:28 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan C Whiteman 2011-01-31 11:40:48 UTC
Envelope printing under Libreoffice 3.3.0 is severly broken. When trying to print a #10 envelope via the wizard, the envelope gets formatted correctly but does not get passed to the printer.

All other type of documents, such as 8.5" x 11" Letters, print perfectly fine with default settings.

This bug is also found in OpenOffice 3.2. I was hoping that Libreoffice developers would have caught this bug since the version released is one level higher than OpenOffice.

My printer is a Lexmark Laser C543dn under Kubuntu 10.
Comment 1 Alex Thurgood 2011-08-18 05:39:17 UTC
Setting OS and platform to all, as it also affects OSX.


Alex
Comment 2 Alex Thurgood 2011-08-18 05:40:20 UTC
*** Bug 40189 has been marked as a duplicate of this bug. ***
Comment 3 Björn Michaelsen 2011-12-23 13:26:36 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 4 Christian Fischer 2012-02-09 09:51:42 UTC
hello
Printing enveloppes is better on LO 3.4.5 .
On Linux ( + printer HP Laserjet )  y can print enveloppes DL, but y have to change " Language to printer " ...PDF ( do not work) to Postscript . I cannot put that in memory.
I Try Lodev Writer 3.5 : idem
Comment 5 sasha.libreoffice 2012-04-30 01:43:56 UTC
@ Christian Fischer
Thanks for additional testing. See here for workaround:
Bug 44664
Comment 6 bfoman (inactive) 2013-08-14 20:45:29 UTC
(In reply to comment #4)
> Printing enveloppes is better on LO 3.4.5 . [...]
> I Try Lodev Writer 3.5 : idem

Please check if this bug is still reproducible with the latest stable release (4.1.x).
Comment 7 tommy27 2014-09-26 20:47:35 UTC
please retest with 4.2.6.2 or 4.3.2.2 and give update of the bug current status
Comment 8 Alan C Whiteman 2014-09-30 17:16:58 UTC
Update for Version: 4.2.4.2 Build ID: 420m0(Build:2) Linux Mint 17

Printing Envelopes now works as expected using an HP Officejet Pro 8600 printer.
Comment 9 tommy27 2014-09-30 18:28:15 UTC
nice to hear that, however correct status is RESOLVED WORKSFORME since we don't know the exact committ which fixed it.